<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="{{ url_for('static', filename='/css/bootstrap.min.css') }}" />
    <link rel="stylesheet" href="static/css/bootstrap-icons-1.2.2/font/bootstrap-icons.css" />
    <title>Agenda</title>
</head>
<body>
<div class="container-fluid">
    <div class="row">
        <div class="col">
            <h1 class="text-center">Agenda</h1>
        </div>
    </div>
    <div class="row">
        <div class="col">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-controls="navbarTogglerDemo01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarTogglerDemo01">
            <i class="bi bi-person-circle"> <a class="navbar-brand" href="#">
                {% if session['logado'] %}
                {{ session['logado']['nome'] }}
                {% endif %}
                </a>
            </i>
            <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
              <li class="nav-item active">
                <a class="nav-link" href="/">Home <span class="sr-only">(current)</span></a>
              </li>
              {% if session['logado'] %}
              <li class="nav-item">
                <a class="nav-link" href="/cadastrar_contato">Adicionar contato</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/listar_contatos">Listar contatos</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/logout">Sair</a>
              </li>
              {% endif %}
<!--              <li class="nav-item">-->
<!--                <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>-->
<!--              </li>-->
            </ul>
            <form class="form-inline my-2 my-lg-0">
              <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
              <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form>
          </div>
        </nav>
        </div>
    </div>
    <div class="row">
        <div class="col-8">
        <!-- get_flashed_messages( category_filter=['category'] ) -->
        {% with messages = get_flashed_messages(with_categories=true) %}
            {% if messages %}
                <ul id="messages" class="list-unstyled">
                {% for category, message in messages %}
                    <li class="alert alert-{{ category }}">{{ message }}</li>
                {% endfor %}
                </ul>
            {% endif %}
        {% endwith %}
        {% block conteudo1 %}{% endblock %}
        </div>
        <div class="col-4">
        {% block conteudo2 %}{% endblock %}
        </div>
    </div>
    <div class="row">
        <div class="col">
            <hr/>
            <p class="text-center">Agenda @ 2022</p>
        </div>
    </div>
</div>

<script src="static/js/jquery-3.5.1.slim.min.js" type="text/javascript"></script>
<script src="static/js/popper.min.js" type="text/javascript"></script>
<!--<script src="static/js/npm.js" type="text/javascript"></script>-->
<script src="static/js/bootstrap.js" type="text/javascript"></script>

</body>
</html>